> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ulm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Starts a Process

> This API starts a Connect Process specified by the processName. If the call returns a 200, this means that the process begins and completes after this call. If the process returns a 202, this means that it is possible to resume/continue the process using a subsequent API call. Subsequent calls must the proccessId string contained the in the payload of the previous call in order to link the steps to a single ongoing process.



## OpenAPI

````yaml /portal/Amdocs_Media-ULM-Released-resolved.yaml post /process/start/{processName}
openapi: 3.0.1
info:
  title: Connect APIs
  description: >-
    The Connect/ULM APIs enables clients to manage all aspects against Connect's
    data entities that they are permitted to manage. The data entities supported
    include: (1) USER - a unique individual, (2) RUNTIME - endpoint to which
    services are delivered (e.g. mobile tablet, browser), (3) GROUP - a
    collection of user entities, (4) ACCOUNT - relationship between a USER and
    service provider, (5) SUBSCRIPTION - package of entitlements to a specific
    service, and (6) FEATURE - fine-grained entitlement that defines what a user
    can do for a particular service.


    The APIs offer endpoints for users to onboard, authenticate and manage their
    profile. Please review our OIDC APIs that can be accessed through an active
    web session within the application (i.e. any JavaScript running on the
    server itself) or through authorizing a client application through OIDC or
    OAuth 2.0.


    The majority of these APIs require a user context (session cookie or access
    token) to access their functionality.


    All of the APIs can be accessed via a organization specific domain that was
    provided to you during onboarding.
  version: Draft-GO
servers:
  - url: https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85
security:
  - cookieAuth: []
  - OIDC: []
tags:
  - name: Account
    description: ULM Account APIs enable standard CRUD operations on ULM account entities.
  - name: Authentication
    description: >-
      Connect authentication APIs open and close user sessions (user login and
      logout).
  - name: Group and Soft Profile
    description: >-
      Connect Group and Soft Profile APIs enable clients to perform group
      management and soft profile functions. A group is a collection of one or
      more Connect entities, typically a user entity. For example, a group can
      be a household that contains 4 users all within the same family. A Soft
      Profile User is a user that can be a minor user or guest user, and they
      are not required to sign up or subscribe to a service. For example, a Soft
      Profile User can be a minor that does not have an email and therefore can
      only access the services if the parent is first authenticated.
  - name: Process
    description: >-
      Connect Process APIs initiate process steps. Connect's library of
      processes include for example Onboarding with Email and Password. These
      processes are intended to provided an preset user journey that your UI can
      follow in steps. 


      A step can be an inital step, one of many subsequent steps, or a final
      step. Some processes may only require one step from start to end.
  - name: Runtime
    description: >-
      Connect Runtimes APIs enables retrieval of Devices that are used by Users
      to interact with ULM.
  - name: Subscription
    description: >-
      Connect Subscription APIs enable standard CRUD operations on a
      subscription entity.
  - name: User
    description: Connect User APIs enable standard CRUD operations on a user entity.
paths:
  /process/start/{processName}:
    post:
      tags:
        - Process
      summary: Starts a Process
      description: >-
        This API starts a Connect Process specified by the processName. If the
        call returns a 200, this means that the process begins and completes
        after this call. If the process returns a 202, this means that it is
        possible to resume/continue the process using a subsequent API call.
        Subsequent calls must the proccessId string contained the in the payload
        of the previous call in order to link the steps to a single ongoing
        process.
      operationId: startProcessUsingPOST
      parameters:
        - name: processName
          in: path
          description: Name of the Connect process to initiate
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        description: stepAction
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartProcessNameBody'
        required: false
      responses:
        '200':
          description: Ok - Process started.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StepActionResponseDto'
        '400':
          description: >-
            Process Step Error. The Connect business code varies depending on
            the process step and the nature of the error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StepActionResultWithErrorDto'
        '403':
          description: Authtorization Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Generic403Dto'
        '404':
          description: Resource Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StartProcessNameResponse404'
components:
  schemas:
    StartProcessNameBody:
      type: object
      properties:
        parameters:
          type: object
          additionalProperties:
            type: string
            example: value1
    StepActionResponseDto:
      title: StepAction
      type: object
      properties:
        displayMessage:
          type: string
          description: Optional display message
          example: Enter User Inputs
        parameters:
          type: object
          additionalProperties:
            type: string
            example: value1
          description: User input parameters
        processId:
          type: string
          description: >-
            The process identifier that links multiple API calls together. If a
            process halts because it requires additional data, then it assigns a
            process ID that can be referenced in subsequent calls in order to
            continue and complete the entire process.
          example: 640b4b3a-dbaf-4b73-abfb-979475aee0bb
        processName:
          type: string
          description: >-
            The name of the process which is being executed. This value is
            intended to be consumed by User Interfaces which may not always be
            aware of the current process being executed, owing to  factors such
            as a third-party redirect in the middle of the process destroying
            the UI's context.
          example: socialFederation.associateSocialMedia_v1.0
        stepName:
          type: string
          description: The step name
          example: PasswordPrompt
        lastStep:
          type: boolean
        output:
          type: object
          additionalProperties:
            type: object
          description: Information returned from previous step.
        runtimeId:
          $ref: '#/components/schemas/EntityId'
        userId:
          $ref: '#/components/schemas/EntityId'
        userAuthenticated:
          type: boolean
          description: For AuthenticationStepAction only.
      description: >-
        The API returns information about parameters that are required by the
        next process step (only if lastStep is false). Optionally information
        from the previous is returned in 'output'. For AuthenticationStepAction
        actions, it returns authenticated context information (userId,
        runtimeId, userAuthenticated). For AdminUser authentication actions the
        API also returns adminUser.
    StepActionResultWithErrorDto:
      title: StepActionResultWithErrorDto
      type: object
      properties:
        processId:
          type: string
          description: Process id to resume
          example: 640b4b3a-dbaf-4b73-abfb-979475aee0bb
        processName:
          type: string
          description: >-
            The name of the process which is being executed. This value is
            intended to be consumed by User Interfaces which may not always be
            aware of the current process being executed, owing to  factors such
            as a third-party redirect in the middle of the process destroying
            the UI's context.
          example: socialFederation.associateSocialMedia_v1.0
        stepName:
          type: string
          description: Optionally show the step name
        lastFailedStepAction:
          $ref: '#/components/schemas/StepAction'
        fieldErrors:
          type: array
          items:
            $ref: '#/components/schemas/FieldErrorDto'
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/ProcessOperationErrorDto'
        stackTrace:
          type: string
          description: optional error stacktrace
    Generic403Dto:
      type: object
      properties:
        operationError:
          deprecated: true
          allOf:
            - $ref: '#/components/schemas/OperationErrorDto'
        stackTrace:
          type: string
          description: Optional, returned only in debug mode.
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/Generic403DtoOperationErrors'
      description: General Payload for Authorization Error.
    StartProcessNameResponse404:
      type: object
      properties:
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/StartProcessNameResponse404OperationErrors'
    EntityId:
      type: integer
      description: The unique ID of an entity.
      format: int64
      example: 1
    StepAction:
      type: object
      properties:
        parameters:
          type: object
          additionalProperties:
            type: string
          description: User input parameters
        processId:
          type: string
          description: >-
            The process identifier that links multiple API calls together. If a
            process halts because it requires additional data, then it assigns a
            process ID that can be referenced in subsequent calls in order to
            continue and complete the entire process.
          example: 640b4b3a-dbaf-4b73-abfb-979475aee0bb
    FieldErrorDto:
      title: FieldErrorDto
      type: object
      properties:
        code:
          type: string
          description: logical error code
          example: NotNull
          deprecated: true
        code_v2:
          type: string
          description: logical error code
          example: not-null
        field:
          type: string
          description: Name of the field in error where error happens
          example: name
        message:
          type: string
          description: Human readable error message
          example: Value must not be null
        rejectedValue:
          type: object
          description: >-
            Rejected value. Only visible when the logging level is at least
            DEBUG
          example: bad value
      description: An error arising from a particular input field or its value
    ProcessOperationErrorDto:
      required:
        - code
      type: object
      properties:
        code:
          type: string
          description: The business error code
          example: invalid_user_input
        message:
          type: string
          description: The message that describes the error
          example: Bad user input
        type:
          type: string
          description: >-
            The exception class that caused the error, returned only in debug
            mode.
        authorities:
          type: array
          description: Returned only in debug mode.
          items:
            type: string
            enum:
              - ROLE_ANONYMOUS
              - ROLE_USER
              - ROLE_ADMIN
              - ROLE_ACTIVATION_READ
              - ROLE_ACTIVATION_WRITE
        details:
          type: object
          additionalProperties:
            type: string
      description: >-
        The data model that contains the process operation error response
        details.
    OperationErrorDto:
      title: OperationErrorDto
      required:
        - code
      type: object
      properties:
        code:
          type: string
          description: The business error code
        message:
          type: string
          description: The message that describes the error
          example: Bad user input
        type:
          type: string
          description: >-
            The exception class that caused the error, returned only in debug
            mode.
          deprecated: true
        authorities:
          type: array
          description: Returned only in debug mode.
          items:
            type: string
      description: The data model that contains the Operation Error response details.
    Generic403DtoOperationErrors:
      type: object
      properties:
        code:
          type: string
          enum:
            - ACCESS_FORBIDDEN
            - security-challenge-failed
        message:
          type: string
          example: Access Denied
    StartProcessNameResponse404OperationErrors:
      type: object
      properties:
        code:
          type: string
          enum:
            - ulm-process-not-registered
        message:
          type: string
          example: Process not found
  securitySchemes:
    cookieAuth:
      type: apiKey
      name: JSESSIONID
      in: cookie
    OIDC:
      type: oauth2
      description: OAuth 2.0 Authentication
      flows:
        implicit:
          authorizationUrl: /oidc/authorize
          scopes:
            openid: >-
              Enables OIDC by requesting the ID Token. Without this scope, the
              request is merely OAuth 2.0
            profile: Requests the claims name, family_name, given_name, and picture
            email: Requests the claims email and email_verified
            phone: Requests the claims phone_number and phone_number_verified
            offline_access: Requests that a refresh token be issued.
            entitlements: Enables the "entitlements" claim.
        password:
          tokenUrl: /oidc/token
          scopes:
            openid: >-
              Enables OIDC by requesting the ID Token. Without this scope, the
              request is merely OAuth 2.0
            profile: Requests the claims name, family_name, given_name, and picture
            email: Requests the claims email and email_verified
            phone: Requests the claims phone_number and phone_number_verified
            entitlements: Enables the "entitlements" claim.
        clientCredentials:
          tokenUrl: /oidc/token
          scopes:
            openid: >-
              Enables OIDC by requesting the ID Token. Without this scope, the
              request is merely OAuth 2.0
            profile: Requests the claims name, family_name, given_name, and picture
            email: Requests the claims email and email_verified
            phone: Requests the claims phone_number and phone_number_verified
            entitlements: Enables the "entitlements" claim.
        authorizationCode:
          authorizationUrl: /oidc/authorize
          tokenUrl: /oidc/token
          scopes:
            openid: >-
              Enables OIDC by requesting the ID Token. Without this scope, the
              request is merely OAuth 2.0
            profile: Requests the claims name, family_name, given_name, and picture
            email: Requests the claims email and email_verified
            phone: Requests the claims phone_number and phone_number_verified
            offline_access: Requests that a refresh token be issued.
            entitlements: Enables the "entitlements" claim.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.